#ifdef POSITION
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

  ostream& operator<< (ostream& output_stream,
		       morpheo::behavioural::Entity & x)
  {
    output_stream << x._name + "\t"+x._type+"\t"+toString(x._schema) << endl;
    output_stream << x.get_comment()    << endl;
    output_stream << x.get_interfaces() << endl;
    return output_stream;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
